@echo off
rem 15-06-2017 JvW Derived from DFSEDIT, Browse IMZ imagefile, optional file-dialog

set dfsexe=dfsos2.exe

if "%1" == "?"  goto usage
if "%1" == "/?" goto usage
if "%1" == "-?" goto usage

%dfsexe% -l- -Q -d- -w imz %1 %2 %3 %4 %5 %6 %7 %8 %9
goto end

:usage
echo.
echo BROWSE an (IMZ compressed) partition or disk image
echo.
echo Usage:  %0  [filename | directory\] [other 'imz' parameters]
echo.
echo      filename     : Name of a file to be edited in binary (HEX/ASCII)
echo.
echo      directory    : Name of a directory to select an IMZ image from
echo.
echo      -e:'ext'     : Overrule default 'imz' extension with 'ext'
echo.
echo      When no filename or directory is specified, a filedialog is
echo      opened for the CURRENT directory.
:end
